Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
BlackBerry Development Advisor
Posts: 15,753
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: SDK version 1.0.2!

Release notes (and other documentation pertaining to 1.0.2) are now online.  Apologies for the delay and out of sync release.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
Posts: 229
Registered: ‎08-14-2009
My Device: Bold 9900, DevAlpha A
My Carrier: Vodafone DE

Re: SDK version 1.0.2!

I don't understand these:

Does not copy the Adobe® Flex® SDK when integrating with Flash Builder 4.5.0 or 4.5.1.
Supports integration with Eclipse when integrating with Flash Builder 4.5.0 or 4.5.1.

 Am i right to assume this now works with the final release of FB ?



Willy R.
-
If my post solved your problem, make it easier for others to find by Accepting it as a solution or provide a Kudo if it was helpful for you. Thanks.
BlackBerry Development Advisor
Posts: 15,753
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: SDK version 1.0.2!


willyyr wrote:

I don't understand these:

Does not copy the Adobe® Flex® SDK when integrating with Flash Builder 4.5.0 or 4.5.1.
Supports integration with Eclipse when integrating with Flash Builder 4.5.0 or 4.5.1.

 Am i right to assume this now works with the final release of FB ?




Flash Builder 4.5 and 4.5.1 include the Flex SDK.  Our installer no longer installs it for these versions.

 

Flash Builder 4.5 is supported, however AIR 2.6 is not yet supported.  This workaround still applies (covered in the release notes and getting started guide).

 

 


Workaround: When compiling your application, you must compile with the -swf-version=10 option. If you are using Adobe® ActionScript® and are not using Flex, you can change your application descriptor file to target AIR2.5 instead. This can be done for the packaging process only, and can be done by specifying the option -forceAirRuntime 2.5 in the packager tool. If your application requires AIR 2.6, your application will not run properly.

 

 

The BlackBerry® PlayBook™ tablet 1.0.1 and the BlackBerry Tablet Simulator 1.0.1 support AIR 2.5 only. (83868)

Impact: You cannot deploy applications that use AIR 2.6 or later.


Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
Posts: 249
Registered: ‎11-02-2010
My Device: PlayBook
My Carrier: -

Re: SDK version 1.0.2!

The link still looks offline for France (Europe ?)

JC
BlackBerry Development Advisor
Posts: 15,753
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: SDK version 1.0.2!

What do you see when you try to download?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
Posts: 116
Registered: ‎11-18-2010
My Device: BlackBerry PlayBook
My Carrier: null

Re: SDK version 1.0.2!

I have see only this message:

We're Sorry...

Sorry, the file is temporarily unavailable, please try again later or contact the webmaster.

And I am from Ukraine.
BlackBerry Development Advisor
Posts: 15,753
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: SDK version 1.0.2!

Can you provide your IP address? Feel free to PM me if you don't want to post it here.
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: SDK version 1.0.2!

1.0.2 seems to be just a clean up release of 1.0.1. Nothing in the release notes is note worthy except that if people were having issues with the CLI utilities or interfacing with the IDE, some things were fixed there.

 

It would be really helpful if we can get some kind of development roadmap.  Have all the disclaimers on it, but it is nearly impossible to plan development if we do not what will be introduced or fixed and how much time between an SDK and OS rollout.

BlackBerry Development Advisor
Posts: 417
Registered: ‎10-27-2010
My Device: PlayBook

Re: SDK version 1.0.2!

1.0.2 has only bug fixes, if you not hitting any of them, you don't need to update. Unfortunate we cannot provide a roadmap, RIM is not very kin on releasing any sort of future plans.
Developer
Posts: 6,473
Registered: ‎12-08-2010
My Device: PlayBook, Z10
My Carrier: none

Re: SDK version 1.0.2!

I'd suggest that everyone update anyway, even if just to eliminate the risk that the bug in 1.0.1 will delete an entire source tree or other folder (when you mistakenly specify the blackberry-debugtokenrequest command with a folder name instead of a destination .bar file).


Peter Hansen -- (BB10 and dev-related blog posts at http://peterhansen.ca.)
Author of White Noise and Battery Guru for BB10 and for PlayBook | Get more from your battery!